Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598112 - tuxtype2 doesn't run
tuxtype2 doesn't run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tuxtype2 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 09:11 EDT by Jonathan Dieter
Modified: 2010-06-03 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: tuxtype2-1.8.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-02 14:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Dieter 2010-05-31 09:11:21 EDT
Description of problem:
tuxtype2 doesn't run after the latest updates.  When I try to run it from the command line, it gives me:
Error - CONF_PREFIX = '/etc/tuxtype' not found!
Error - SetupPaths() failed, exiting program.

Version-Release number of selected component (if applicable):
tuxtype2-1.8.1-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run tuxtype2
  
Actual results:
Nothing

Expected results:
The program starts

Additional info:
If I create an empty directory "/etc/tuxtype", the game does run.  Please push out an update with said empty directory.
Comment 1 Jonathan Dieter 2010-05-31 09:18:53 EDT
Without trying to be rude, why was this update pushed to F11-F13 simultaneously?  I've just verified that it doesn't work in F13 either.  Couldn't you have waited a while before pushing it in F11?
Comment 2 Johan Cwiklinski 2010-05-31 11:35:21 EDT
Erf, I was sure I had tested before pushing the package to testing...
My apoligies ; I'll fix that quickly.

As for the push to stables repositories ; it has been in testing for two weeks without any comments ; I had no reason not to push it.
Comment 3 Jonathan Dieter 2010-05-31 12:06:22 EDT
Yeah, I do understand where you're coming from.  I guess I would have pushed to Fedora 13 first, then Fedora 12, and probably wouldn't have bothered with Fedora 11 at all.  However, that's just me and it's not like we have an updates policy that guides us on when we should push them to older releases.

Thanks much for getting this fixed.  I'll go ahead and test it when it gets in to updates-testing, as my students need this working again ASAP.
Comment 4 Johan Cwiklinski 2010-05-31 13:11:57 EDT
I'm currently building the fixed version ; it will be available very soon on koji, and in updates-testing as soon as somebody will take care of it.

Again, my apologizes :/
Comment 5 Fedora Update System 2010-05-31 13:26:32 EDT
tuxtype2-1.8.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tuxtype2-1.8.1-2.fc13
Comment 6 Fedora Update System 2010-05-31 13:26:36 EDT
tuxtype2-1.8.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tuxtype2-1.8.1-2.fc12
Comment 7 Fedora Update System 2010-05-31 13:26:45 EDT
tuxtype2-1.8.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tuxtype2-1.8.1-2.fc11
Comment 8 Fedora Update System 2010-06-01 14:15:35 EDT
tuxtype2-1.8.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuxtype2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tuxtype2-1.8.1-2.fc12
Comment 9 Fedora Update System 2010-06-01 14:26:24 EDT
tuxtype2-1.8.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuxtype2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tuxtype2-1.8.1-2.fc13
Comment 10 Fedora Update System 2010-06-01 14:26:37 EDT
tuxtype2-1.8.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuxtype2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tuxtype2-1.8.1-2.fc11
Comment 11 Fedora Update System 2010-06-02 14:01:56 EDT
tuxtype2-1.8.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-06-03 14:11:57 EDT
tuxtype2-1.8.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-06-03 14:15:32 EDT
tuxtype2-1.8.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.